<?php
/*-----------------------------------------------------------------------------------*/
/*      Copyright (c) Karim Belkacem - Ergonoshop                                    */
/*		email : auteur@ergonoshop.com                                                */
/*      web : http://www.ergonoshop.com                                              */
/*-----------------------------------------------------------------------------------*/
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/

include_once(realpath(dirname(__FILE__))."/../../../classes/PluginsClassiques.class.php");
include_once(realpath(dirname(__FILE__))."/../../../classes/Modulesdesc.class.php");

class Template1421 extends PluginsClassiques {
	public $nom ="Template1421";
	public $titre = "Plugin Template Thelia 1.4.2.1";
	public $chapo = "Template graphique standard";
	public $description = "Distribution standard des templates thelia";

	public function __construct(){
		parent::__construct();
		$this->ajout_desc($this->titre, $this->chapo, $this->description);
	}
	public function destroy(){
		$cnx = new Cnx();
		include_once(realpath(dirname(__FILE__)) . "/supprimer_dossier.php");
	}
	public function ajout_desc($titre, $chapo, $description, $lang=1, $devise=""){
		$modulesdesc = new Modulesdesc();
		$res = $modulesdesc->verif($this->nom_plugin, $lang);
		$modulesdesc->plugin = $this->nom_plugin;
		$modulesdesc->titre = $titre;
		$modulesdesc->chapo = $chapo;
		$modulesdesc->description = $description;
		$modulesdesc->lang = $lang;
		$modulesdesc->devise = $devise;
		if($res) $modulesdesc->maj();
		else $modulesdesc->add();
	}
}
?>